<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$skybluesofaCurrentPageURL = 'http';
if ($_SERVER["HTTPS"] == "on") {
	$skybluesofaCurrentPageURL .= "s";
}
$skybluesofaCurrentPageURL .= "://";
if ($_SERVER["SERVER_PORT"] != "80") {
	$skybluesofaCurrentPageURL .= $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . $_SERVER["REQUEST_URI"];
} else {
	$skybluesofaCurrentPageURL .= $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
}
$layout = 'vertical';
?>
<script type="text/javascript">
	$().ready(function() {
		var $sbsSocialFloatRightContainer = $('#skybluesofa-social-floatright-<?php   echo $bID; ?>');
		$sbsSocialFloatRightContainer.css('display', 'none');
		var $sbsSocialFloatRightPositioner = $sbsSocialFloatRightContainer.parent();
		if ($sbsSocialFloatRightPositioner.is('.ccm-block-styles'))
			$sbsSocialFloatRightPositioner = $sbsSocialFloatRightPositioner.parent();
		if ($sbsSocialFloatRightPositioner.is('.ccm-block'))
			$sbsSocialFloatRightPositioner = $sbsSocialFloatRightPositioner.parent();

		var positionerY = parseInt($sbsSocialFloatRightPositioner.offset().top);

		$sbsSocialFloatRightContainer.css('top', $sbsSocialFloatRightPositioner.offset().top);
		$sbsSocialFloatRightContainer.css('width', $sbsSocialFloatRightContainer.width());
		if (!parseInt($sbsSocialFloatRightContainer.css('margin-left'))) {
			$sbsSocialFloatRightContainer.css('margin-left', parseInt($sbsSocialFloatRightPositioner.width()) +<?php   echo intval($floating_offset); ?>);
		}
		var $sbsSocialFloatRightContainerX = $sbsSocialFloatRightContainer.css('margin-left');
		$sbsSocialFloatRightContainer.css('display', 'block');

		$(window).scroll(function() {
			var scrollY = $(window).scrollTop();
			var fixedShare = $sbsSocialFloatRightContainer.css('position') == 'fixed';
			if (scrollY > positionerY && !fixedShare) {
				$sbsSocialFloatRightContainer.stop().css({
					position: 'fixed',
					top: 16
				});
			} else if (scrollY < positionerY && fixedShare) {
				$sbsSocialFloatRightContainer.css({
					position: 'absolute',
					top: positionerY,
					marginLeft: $sbsSocialFloatRightContainerX
				});
			}
		});
	});
</script> 
<div class="skybluesofa-css-share skybluesofa-css-floatright" id="skybluesofa-social-floatright-<?php   echo $bID; ?>">
	<ul class="skybluesofa-css-share-sharedNetworks skybluesofa-css-share-sharedNetworks-<?php   echo $layout; ?> skybluesofa-css-share-sharedNetworks-format-<?php   echo $buttonFormat; ?>">
		<?php  
		$networkHandles = array();
		foreach ($networks as $network) {
			if ($network['show_existing']) {
				$networkHandles[] = $network['handle'];
			}
		}
		foreach ($sharedNetworks as $sharedNetwork) {
			$networkName = $sharedNetwork['network'];
			$linkUrl = urlencode(empty($sharedNetwork['url']) ? $sbsss_pageURL : $sharedNetwork['url']);
			$linkTitle = urlencode(empty($sharedNetwork['title']) ? $sbsss_pageTitle : $sharedNetwork['title']);
			$linkDescription = urlencode(empty($sharedNetwork['description']) ? $sbsss_pageDescription : $sharedNetwork['description']);
			if ($networkName && in_array($networkName, $networkHandles)) {
				?><li class="format-<?php   echo $buttonFormat; ?>">
					<span class="skybluesofa-css-share-network-placeholder-wrapper skybluesofa-css-share-network-placeholder-wrapper-<?php   echo str_replace('+', 'plus', $networkName); ?>">
						<span class="skybluesofa-css-share-network-placeholder skybluesofa-css-share-network-placeholder-<?php   echo str_replace('+', 'plus', $networkName); ?>">
							<?php  
							$css = array('sb');
							$css[] = ($networkName == "google+") ? "googleplus" : $networkName;
							$css[] = (empty($size)) ? "default" : $size;
							if ($style_embossed)
								$css[] = "embossed";
							$css[] = (empty($style_border)) ? 'thin-border' : $style_border;
							if ($style_glossy)
								$css[] = "glossy";
							if ($style_gradient)
								$css[] = "gradient";
							if ($style_pressed)
								$css[] = "pressed";
							$css[] = (empty($style_corners)) ? 'circle' : $style_corners;
							$target = "_sbs_css_share";

							if ($networkName == 'digg') {
								$tooltip = "Submit to Digg";
								$url = "http://digg.com/submit?url=" . $linkUrl . "&title=" . $linkTitle;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'gray' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'email') {
								$tooltip = "Share via Email";
								$url = "mailto:?subject=" . $linkTitle . "&body=" . $linkUrl;
								$text = "Email";
								$backgroundColor = empty($sharedNetwork['background']) ? 'light-gray' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
								$target = false;
							} elseif ($networkName == 'facebook') {
								$tooltip = "Post on Facebook";
								$url = "http://www.facebook.com/sharer.php?u=" . $linkUrl . "&t=" . $linkTitle;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'blue' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'google+') {
								$tooltip = "Post on Google+";
								$url = "https://plus.google.com/share?url=" . $linkUrl;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'black' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'hyves') {
								$tooltip = "Post on Hyves";
								$url = "http://www.hyves-share.nl/button/respect/?hc_hint=1&url=" . $linkUrl;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'yellow' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'linkedin') {
								$tooltip = "Post to LinkedIn";
								$url = "http://www.linkedin.com/shareArticle?mini=true&url=" . $linkUrl . "&title=" . $linkTitle . "&summary=" . $linkDescription;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'blue' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'pinterest') {
								$tooltip = "Pin on Pinterest";
								$pimage = urlencode((!empty($sharedNetwork['pin_media'])) ? $sharedNetwork['pin_media'] : $pinterest_image);
								$url = "http://pinterest.com/pin/create/button/?url=" . $linkUrl . "&media=" . $pimage . "&description=" . $linkDescription;
								$text = "Pin It";
								$backgroundColor = empty($sharedNetwork['background']) ? 'red' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'reddit') {
								$tooltip = "Post to Reddit";
								$url = "http://www.reddit.com/submit?url=" . $linkUrl . "&title=" . $linkTitle;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'light-blue' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'stumbleupon') {
								$tooltip = "Submit to StumbleUpon";
								$url = "http://www.stumbleupon.com/submit?url=" . $linkUrl . "&title=" . $linkTitle;
								$text = "Share";
								$backgroundColor = empty($sharedNetwork['background']) ? 'red' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							} elseif ($networkName == 'twitter') {
								$tooltip = "Tweet this Page";
								$url = "http://twitter.com/home?status=" . $linkUrl . " - " . $linkTitle;
								$text = "Tweet";
								$backgroundColor = empty($sharedNetwork['background']) ? 'blue' : $sharedNetwork['background'];
								$css[] = $backgroundColor;
							}
							?><a class="<?php   echo implode(" ", $css); ?>" title="<?php   echo $tooltip; ?>" href="<?php   echo $url; ?>" <?php   echo $target ? 'target="_sbs_css_share"' : ''; ?>><?php   echo $text; ?></a>
						</span>
					</span>
				</li>
			<?php   } ?>
		<?php   } ?>
	</ul><br>
</div>
