<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$form = Loader::helper('form');
$al = Loader::helper('concrete/asset_library');
$ah = Loader::helper('concrete/interface');
?>
<ul id="skybluesofa-socialShare-tabs" class="ccm-dialog-tabs">
	<li id="skybluesofa-socialShare-tab-sharedNetworks" class="skybluesofa-socialShare-tab ccm-nav-active"><a href="javascript:void(0);"><?php   echo t('Networks') ?></a></li>
	<li id="skybluesofa-socialShare-tab-settings" class="skybluesofa-socialShare-tab"><a href="javascript:void(0);"><?php   echo t('Layout') ?></a></li>
</ul>
<div class="skybluesofa-socialShare-pane" id="skybluesofa-socialShare-pane-sharedNetworks">
	<div class="skybluesofa-socialShare-sharedNetwork-headers">
		<div class="skybluesofa-socialShare-sortable-handle">&nbsp;</div>
		<div class="skybluesofa-socialShare-sharedNetwork-network"><label style="text-align:left;"><?php   echo t('Network'); ?></label></div>
		<div class="skybluesofa-socialShare-sharedNetwork-options"><?php   echo $form->label('options', t('Options')) ?></div>
	</div>
	<div class="skybluesofa-socialShare-sharedNetwork-list sortable">
		<div class="skybluesofa-socialShare-sharedNetwork-template" style="display:none;">
			<div class="skybluesofa-socialShare-sortable-handle"></div>
			<div class="skybluesofa-socialShare-sharedNetwork-network">
				<select name="sharedNetworks[network][]" onchange="SkyBlueSofasocialShare.changeSharedNetwork(this);" style="width:150px;">
					<option value=""></option>
					<?php  
					foreach ($networks as $network) {
						if ($network['active']) {
							?>
							<option value="<?php   echo $network['handle']; ?>"><?php   echo $network['name']; ?></option>
							<?php  
						}
					}
					?> 
				</select>
			</div>
			<div class="skybluesofa-socialShare-sharedNetwork-options">
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-title" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Title to send. Leave blank for this page title.">
						<div class="input input-prepend">
							<span class="add-on">Title</span><input type="text" name="sharedNetworks[title][]" value="" class="skybluesofa-socialShare-sharedNetwork-options-input-title" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-url" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Web Address to send. Leave blank for this page URL.">
						<div class="input input-prepend">
							<span class="add-on">Web Address</span><input type="text" name="sharedNetworks[url][]" value="" class="skybluesofa-socialShare-sharedNetwork-options-input-url" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-tw_recommend" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Recommend a Twitter account to follow.">
						<div class="input input-prepend">
							<span class="add-on">Recommend @</span><input type="text" name="sharedNetworks[tw_recommend][]" value="" class="skybluesofa-socialShare-sharedNetwork-options-input-tw_recommend" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-fb_verb" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Do you wish to 'Like' or 'Recommend' this page.">
						<div class="input input-prepend">
							<span class="add-on">Action</span><select name="sharedNetworks[fb_verb][]" class="skybluesofa-socialShare-sharedNetwork-options-input-fb_verb span2">
								<option value="Like">Like</option>
								<option value="Share">Share</option>
								<option value="Recommend">Recommend</option>
							</select>
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-pin_media" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="What is the URL of the image to pin.">
						<div class="input input-prepend">
							<span class="add-on">Image URL</span><input type="text" name="sharedNetworks[pin_media][]" value="<?php   echo $pinterest_image ? $pinterest_image : ''; ?>" class="skybluesofa-socialShare-sharedNetwork-options-input-pin_media" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-description" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="What is the description of the content of the URL.">
						<div class="input input-prepend">
							<span class="add-on">Description</span><input type="text" name="sharedNetworks[dg_description][]" value="" maxlength="255" class="skybluesofa-socialShare-sharedNetwork-options-input-dg_description" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-dg_topic" style="display:none;">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Category that this will be placed under">
						<div class="input input-prepend">
							<span class="add-on">Topic</span><select name="sharedNetworks[dg_topic][]" class="skybluesofa-socialShare-sharedNetwork-options-input-dg_topic">
								<option value=""></option>
								<option value="business">Business</option>
								<option value="entertainment">Entertainment</option>
								<option value="gaming">Gaming</option>
								<option value="lifestyle">Lifestyle</option>
								<option value="offbeat">Offbeat</option>
								<option value="politics">Politics</option>
								<option value="science">Science</option>
								<option value="sports">Sports</option>
								<option value="technology">Technology</option>
								<option value="world_news">World News</option>
							</select>
						</div>
					</div>
				</div>
			</div>
			<div class="skybluesofa-socialShare-sharedNetwork-remove" onclick="SkyBlueSofasocialShare.removeSharedNetwork(this);">
				<div class="skybluesofa-socialShare-sharedNetwork-remove-image"></div>
			</div>
		</div>
		<?php   $sharedNetworks[] = array(); ?>
		<?php   foreach ($sharedNetworks as $sharedNetwork) { ?>
			<div class="skybluesofa-socialShare-sharedNetwork">
				<div class="skybluesofa-socialShare-sortable-handle"></div>
				<div class="skybluesofa-socialShare-sharedNetwork-network">
					<select name="sharedNetworks[network][]" onchange="SkyBlueSofasocialShare.changeSharedNetwork(this);" style="width:150px;">
						<option value=""></option>
						<?php  
						foreach ($networks as $network) {
							if ((!$network['active'] && $network['handle'] == $sharedNetwork['network']) || $network['active']) {
								?>
								<option value="<?php   echo $network['handle']; ?>" <?php   if ($network['handle'] == $sharedNetwork['network']) { ?>selected="selected"<?php   } ?>><?php   echo $network['name']; ?></option>
								<?php  
							}
						}
						?> 
					</select>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-options">
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-title" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Title to send. Leave blank for this page title.">
							<div class="input input-prepend">
								<span class="add-on">Title</span><input type="text" name="sharedNetworks[title][]" value="<?php   echo $sharedNetwork['title']; ?>" maxlength="255" class="skybluesofa-socialShare-sharedNetwork-options-input-title" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-url" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Web Address to send. Leave blank for this page URL.">
							<div class="input input-prepend">
								<span class="add-on">Web Address</span><input type="text" name="sharedNetworks[url][]" value="<?php   echo $sharedNetwork['url']; ?>" class="skybluesofa-socialShare-sharedNetwork-options-input-url" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-tw_recommend" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Recommend a Twitter account to follow.">
							<div class="input input-prepend">
								<span class="add-on">Recommend @</span><input type="text" name="sharedNetworks[tw_recommend][]" value="<?php   echo $sharedNetwork['tw_recommend']; ?>" class="skybluesofa-socialShare-sharedNetwork-options-input-tw_recommend" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-fb_verb" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Do you wish to 'Like' or 'Recommend' this page.">
							<div class="input input-prepend">
								<span class="add-on">Action</span><select name="sharedNetworks[fb_verb][]" class="skybluesofa-socialShare-sharedNetwork-options-input-fb_verb">
									<option value="Like" <?php   if ($sharedNetwork['fb_verb'] == 'Like') { ?>selected="selected"<?php   } ?>>Like</option>
									<option value="Share" <?php   if ($sharedNetwork['fb_verb'] == 'Share') { ?>selected="selected"<?php   } ?>>Share</option>
									<option value="Recommend" <?php   if ($sharedNetwork['fb_verb'] == 'Recommend') { ?>selected="selected"<?php   } ?>>Recommend</option>
								</select>
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-pin_media" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="What is the URL of the image to pin.">
							<div class="input input-prepend">
								<span class="add-on">Image URL</span><input type="text" name="sharedNetworks[pin_media][]" value="<?php   echo $sharedNetwork['pin_media'] ? $sharedNetwork['pin_media'] : $pinterest_image ? $pinterest_image : ''; ?>" class="skybluesofa-socialShare-sharedNetwork-options-input-pin_media" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-description" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="What is the description of the content of the URL.">
							<div class="input input-prepend">
								<span class="add-on">Description</span><input type="text" name="sharedNetworks[dg_description][]" value="<?php   echo $sharedNetwork['dg_description']; ?>" maxlength="255" class="skybluesofa-socialShare-sharedNetwork-options-input-dg_description" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-socialShare-sharedNetwork-options-row skybluesofa-socialShare-sharedNetwork-options-row-dg_topic" style="display:none;">
						<div class="skybluesofa-socialShare-sharedNetwork-options-row-value" title="Category that this will be placed under">
							<div class="input input-prepend">
								<span class="add-on">Topic</span><select name="sharedNetworks[dg_topic][]" class="skybluesofa-socialShare-sharedNetwork-options-input-dg_topic">
									<option value=""></option>
									<option value="business" <?php   if ($sharedNetwork['dg_topic'] == '"business"') { ?>selected="selected"<?php   } ?>>Business</option>
									<option value="entertainment" <?php   if ($sharedNetwork['dg_topic'] == 'entertainment') { ?>selected="selected"<?php   } ?>>Entertainment</option>
									<option value="gaming" <?php   if ($sharedNetwork['dg_topic'] == 'gaming') { ?>selected="selected"<?php   } ?>>Gaming</option>
									<option value="lifestyle" <?php   if ($sharedNetwork['dg_topic'] == 'lifestyle') { ?>selected="selected"<?php   } ?>>Lifestyle</option>
									<option value="offbeat" <?php   if ($sharedNetwork['dg_topic'] == 'offbeat') { ?>selected="selected"<?php   } ?>>Offbeat</option>
									<option value="politics" <?php   if ($sharedNetwork['dg_topic'] == 'politics') { ?>selected="selected"<?php   } ?>>Politics</option>
									<option value="science" <?php   if ($sharedNetwork['dg_topic'] == 'science') { ?>selected="selected"<?php   } ?>>Science</option>
									<option value="sports" <?php   if ($sharedNetwork['dg_topic'] == 'sports') { ?>selected="selected"<?php   } ?>>Sports</option>
									<option value="technology" <?php   if ($sharedNetwork['dg_topic'] == 'technology') { ?>selected="selected"<?php   } ?>>Technology</option>
									<option value="world_news" <?php   if ($sharedNetwork['dg_topic'] == 'world_news') { ?>selected="selected"<?php   } ?>>World News</option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="skybluesofa-socialShare-sharedNetwork-remove" onclick="SkyBlueSofasocialShare.removeSharedNetwork(this);">
					<div class="skybluesofa-socialShare-sharedNetwork-remove-image"></div>
				</div>
			</div>
			<div class="skybluesofa-socialShare-sharedNetwork-row-clear"> </div>
		<?php   } ?>
	</div>
	<div class="skybluesofa-socialShare-sharedNetwork-buttons" style="margin-left:16px;">
		<a href="#" id="skybluesofa-socialShare-addNetwork" class="btn info" onclick="SkyBlueSofasocialShare.addSharedNetwork();
				return false;">Add a Network</a>
	</div>
</div>
<div class="skybluesofa-socialShare-pane" id="skybluesofa-socialShare-pane-settings" style="display:none;">
	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Layout Format'); ?></label>
		<div class="input" style="margin-left:220px;">
			<select name="layout" class="span2">
				<option value="horizontal" <?php   if ($layout == "horizontal" || empty($layout)) { ?>selected="selected"<?php   } ?>>Horizontal</option>
				<option value="vertical" <?php   if ($layout == "vertical") { ?>selected="selected"<?php   } ?>>Vertical</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Button Format'); ?></label>
		<div class="input" style="margin-left:220px;">
			<select name="buttonFormat" class="span2">
				<option value="bubble" <?php   if ($buttonFormat == "bubble" || empty($buttonFormat)) { ?>selected="selected"<?php   } ?>>Bubble</option>
				<option value="horizontal" <?php   if ($buttonFormat == "horizontal") { ?>selected="selected"<?php   } ?>>Horizontal</option>
				<option value="icon" <?php   if ($buttonFormat == "icon") { ?>selected="selected"<?php   } ?>>Icon</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Email Share Background Color'); ?></label>
		<div class="input input-prepend" style="margin-left:220px;">
			<span class="add-on">#</span><input name="emailShareBackgroundColor" value="<?php   echo $emailShareBackgroundColor; ?>" maxlength="6" class="span2">
		</div>
	</div>

	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Email Share Submit Button Color'); ?></label>
		<div class="input input-prepend" style="margin-left:220px;">
			<span class="add-on">#</span><input name="emailShareSubmitColor" value="<?php   echo $emailShareSubmitColor; ?>" maxlength="6" class="span2">
		</div>
	</div>

	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Floating Template Offset'); ?></label>
		<div class="input input-append" style="margin-left:220px;">
			<input name="floating_offset" value="<?php   echo $floating_offset; ?>" maxlength="4" class="span1"><span class="add-on">px</span>
		</div>
	</div>
</div>
<style>
	DIV.skybluesofa-socialShare-sortable-handle {
		float:left;
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif);
		margin-top:6px;
		cursor:pointer;
	}
	DIV.skybluesofa-socialShare-sortable-handle:hover {
		background-position:-15px 0;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-headers {
		border-bottom:1px solid #ccc;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-headers DIV.skybluesofa-socialShare-sortable-handle {
		background:none;
		cursor:default;
	}
	DIV.skybluesofa-socialShare-sharedNetwork {
		clear:both;
		border-top:1px solid #ccc;
		min-height:30px;
		background:#fff;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-network {
		float:left;
		width:25%;
		padding:1px 3px 1px;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-options {
		float:left;
		width:65%;
		padding:1px 3px 1px;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-options LABEL {
		width:90px
	}
	DIV.skybluesofa-socialShare-sharedNetwork-options-row {
		clear:both;
		padding:3px 0;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-options-row-value .input {
		margin-left:0;
	}
	.ccm-ui DIV.skybluesofa-socialShare-sharedNetwork-options-row-value .input-prepend .add-on {
		width:90px;
		text-align:right;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-remove {
		float:left;
		width:15px;
		height:100%;
		cursor:pointer;
		vertical-align:middle;
		margin-top:5px;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-remove-image {
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif) 0 -15px;
		margin:auto 0;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-remove:hover DIV.skybluesofa-socialShare-sharedNetwork-remove-image {
		background-position:-15px -15px;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-row-clear {
		height:1px;
		background-color:#ccc;
		clear:both;
	}
	DIV.skybluesofa-socialShare-sharedNetwork-buttons {
		clear:both;
		margin-top:7px;
	}
</style>