<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$skybluesofaCurrentPageURL = 'http';
if ($_SERVER["HTTPS"] == "on") {
    $skybluesofaCurrentPageURL .= "s";
}
$skybluesofaCurrentPageURL .= "://";
if ($_SERVER["SERVER_PORT"] != "80") {
    $skybluesofaCurrentPageURL .= $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . $_SERVER["REQUEST_URI"];
} else {
    $skybluesofaCurrentPageURL .= $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
}

if (count($sharedNetworks) > 0) {
    ?>
    <div class="skybluesofa-social-share">
    <ul class="skybluesofa-social-share-sharedNetworks skybluesofa-social-share-sharedNetworks-<?php  echo $layout; ?> skybluesofa-social-share-sharedNetworks-format-<?php  echo $buttonFormat; ?>">
    <?php 
    $networkHandles = array();
    foreach ($networks as $network) {
        if ($network['show_existing']) {
            $networkHandles[] = $network['handle'];
        }
    }
    foreach ($sharedNetworks as $sharedNetwork) {
        ?>
        <?php  $networkName = $sharedNetwork['network']; ?>
        <?php  if ($networkName && in_array($networkName, $networkHandles)) { ?>
            <li class="format-<?php  echo $buttonFormat; ?>">
						<span
                            class="skybluesofa-social-share-network-placeholder-wrapper skybluesofa-social-share-network-placeholder-wrapper-<?php  echo str_replace('+', 'plus', $networkName); ?> skybluesofa-social-share-network-placeholder-wrapper-<?php  echo str_replace('+', 'plus', $networkName); ?>-<?php  echo $sharedNetwork['fb_verb'] ?>">
							<span
                                class="skybluesofa-social-share-network-placeholder skybluesofa-social-share-network-placeholder-<?php  echo str_replace('+', 'plus', $networkName); ?> skybluesofa-social-share-network-placeholder-<?php  echo str_replace('+', 'plus', $networkName); ?>-<?php  echo $sharedNetwork['fb_verb'] ?>">
								<?php  if ($networkName == 'digg') { ?>
                                    <script type="text/javascript">
                                        (function () {
                                            var s = document.createElement('SCRIPT'), s1 = document.getElementsByTagName('SCRIPT')[0];
                                            s.type = 'text/javascript';
                                            s.async = true;
                                            s.src = '//widgets.digg.com/buttons.js';
                                            s1.parentNode.insertBefore(s, s1);
                                        })();</script>
                                    <a class="DiggThisButton <?php 
                                    if ($buttonFormat == 'icon') {
                                        echo 'DiggIcon';
                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo 'DiggCompact';
                                    } else {
                                        echo 'DiggMedium';
                                    }
                                    ?>"<?php 
                                    if ($sharedNetwork['url'] || $sharedNetwork['title']) {
                                        echo ' href="//digg.com/submit?';
                                        if ($sharedNetwork['url']) {
                                            echo 'url=' . urlencode($sharedNetwork['url']);
                                        }
                                        if ($sharedNetwork['url'] && $sharedNetwork['title']) {
                                            echo '&amp;';
                                        }
                                        if ($sharedNetwork['title']) {
                                            echo 'title=' . urlencode($sharedNetwork['title']);
                                        }
                                        echo '"';
                                    }
                                    if ($sharedNetwork['dg_topic']) {
                                        echo ' rev="news, ' . $sharedNetwork['dg_topic'] . '"';
                                    }
                                    ?>><?php 
                                        if ($sharedNetwork['dg_description']) {
                                            echo '<span style="display:none;">' . $sharedNetwork['dg_description'] . '</span>';
                                        }
                                        ?></a>
                                <?php  } elseif ($networkName == 'email') { ?>
                                    <div
                                        class="skybluesofa-social-share-emailer skybluesofa-social-share-emailer-<?php  echo $buttonFormat; ?>"
                                        id="skybluesofa-social-share-emailer-<?php  echo $b->getBlockID(); ?>">
                                        <div
                                            class="skybluesofa-social-share-emailer-counter"><?php  echo $numberOfEmails; ?></div>
                                        <div class="skybluesofa-social-share-emailer-button"
                                             onclick="showEmailPopup<?php  echo $b->getBlockID(); ?>();"
                                             style="background-image:url(<?php  echo DIR_REL ?>/packages/skybluesofa_social_share/img/share_via_email.png);">
                                        </div>
                                        <div class="skybluesofa-social-share-emailer-popup-wrapper">
                                            <div class="skybluesofa-social-share-emailer-popup">
                                                <div
                                                    class="skybluesofa-social-share-emailer-popup-header"><?php  echo t('Share via Email'); ?></div>
                                                <script>
                                                    function showEmailPopup<?php   echo $b->getBlockID(); ?>() {
                                                        var $thePopup = $('#skybluesofa-social-share-emailer-<?php   echo $b->getBlockID(); ?> .skybluesofa-social-share-emailer-popup-wrapper');
                                                        $thePopup.show();
                                                        var currentPosition = $thePopup.offset();
                                                        if ((currentPosition['top'] + $thePopup.height()) > $(window).height() + $(window).scrollTop()) {
                                                            $thePopup.css('top', ((currentPosition['top'] + $thePopup.height()) - ($(window).height() + $(window).scrollTop())) * (-1));
                                                        }
                                                        if ((currentPosition['left'] + $thePopup.width()) > $(window).width() + $(window).scrollLeft()) {
                                                            $thePopup.css('left', ((currentPosition['left'] + $thePopup.width()) - ($(window).width() + $(window).scrollLeft())) * (-1));
                                                        }
                                                    }
                                                    function hideEmailPopup<?php   echo $b->getBlockID(); ?>() {
                                                        var $thePopup = $('#skybluesofa-social-share-emailer-<?php   echo $b->getBlockID(); ?> .skybluesofa-social-share-emailer-popup-wrapper');
                                                        $thePopup.hide();
                                                        $thePopup.find('.emailField').val('');
                                                        $thePopup.find('.commentField').val('');
                                                        $thePopup.css('top', '7px');
                                                        $thePopup.css('left', '7px');
                                                    }
                                                    function isValidEmailAddress<?php   echo $b->getBlockID(); ?>(emailAddress) {
                                                        var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
                                                        return pattern.test(emailAddress);
                                                    }
                                                    ;
                                                    $(function () {
                                                        $('#skybluesofa-social-share-form-<?php   echo $b->getBlockID(); ?>').bind('submit', function () {
                                                            var $toAddress<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-to-<?php   echo $b->getBlockID(); ?>');
                                                            if (!isValidEmailAddress<?php   echo $b->getBlockID(); ?>($toAddress<?php   echo $b->getBlockID(); ?>.val())) {
                                                                alert("<?php   echo t("Please enter a valid email address in the 'To' field."); ?>");
                                                                $toAddress<?php   echo $b->getBlockID(); ?>.focus();
                                                                return false;
                                                            }
                                                            var $fromAddress<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-from-<?php   echo $b->getBlockID(); ?>');
                                                            if (!isValidEmailAddress<?php   echo $b->getBlockID(); ?>($fromAddress<?php   echo $b->getBlockID(); ?>.val())) {
                                                                alert("<?php   echo t("Please enter a valid email address in the 'From' field."); ?>");
                                                                $fromAddress<?php   echo $b->getBlockID(); ?>.focus();
                                                                return false;
                                                            }
                                                            var $comment<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-comment-<?php   echo $b->getBlockID(); ?>');
                                                            if ($.trim($comment<?php   echo $b->getBlockID(); ?>.val()) == '') {
                                                                alert("<?php   echo t("Please enter a comment for the person you are sending this to."); ?>");
                                                                $comment<?php   echo $b->getBlockID(); ?>.focus();
                                                                return false;
                                                            }
                                                            $.ajax({
                                                                type: "POST",
                                                                data: {
                                                                    "cID": "<?php   echo $sbsss_cID; ?>",
                                                                    "pageTitle": "<?php   echo $sbsss_pageTitle; ?>",
                                                                    "pageURL": "<?php   echo $sbsss_pageURL; ?>",
                                                                    "pageDescription": "<?php   echo $sbsss_pageDescription; ?>",
                                                                    "emailTo": $('#skybluesofa-social-share-to-<?php   echo $b->getBlockID(); ?>').val(),
                                                                    "emailFrom": $('#skybluesofa-social-share-from-<?php   echo $b->getBlockID(); ?>').val(),
                                                                    "comment": $('#skybluesofa-social-share-comment-<?php   echo $b->getBlockID(); ?>').val()
                                                                },
                                                                dataType: 'json',
                                                                url: "<?php   echo str_replace('&amp;', '&', $this->action('shareviaemail')); ?>",
                                                                success: function (data) {
                                                                    if (data['success']) {
                                                                        $('#skybluesofa-social-share-emailer-<?php   echo $b->getBlockID(); ?> .skybluesofa-social-share-emailer-counter').html(data['count']);
                                                                        alert('<?php   echo t('Your email has been sent.'); ?>');
                                                                        $('#skybluesofa-social-share-emailer-<?php   echo $b->getBlockID(); ?> .skybluesofa-social-share-emailer-popup-wrapper').hide();
                                                                    } else {
                                                                        if (data['to_email_issue']) {
                                                                            var $toAddress<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-to-<?php   echo $b->getBlockID(); ?>');
                                                                            if (data['to_email_issue'] == 'invalid') {
                                                                                alert("<?php   echo t("Please enter a valid email address in the 'To' field."); ?>");
                                                                            } else {
                                                                                alert("<?php   echo t("Please enter an email address in the 'To' field."); ?>");
                                                                            }
                                                                            $toAddress<?php   echo $b->getBlockID(); ?>.focus();
                                                                        } else if (data['from_email_issue']) {
                                                                            var $fromAddress<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-from-<?php   echo $b->getBlockID(); ?>');
                                                                            if (data['from_email_issue'] == 'invalid') {
                                                                                alert("<?php   echo t("Please enter a valid email address in the 'From' field."); ?>");
                                                                            } else {
                                                                                alert("<?php   echo t("Please enter an email address in the 'From' field."); ?>");
                                                                            }
                                                                            $fromAddress<?php   echo $b->getBlockID(); ?>.focus();
                                                                        } else if (data['comment_issue']) {
                                                                            var $comment<?php   echo $b->getBlockID(); ?> = $('#skybluesofa-social-share-comment-<?php   echo $b->getBlockID(); ?>');
                                                                            alert("<?php   echo t("Please enter a comment for the person you are sending this to."); ?>");
                                                                            $comment<?php   echo $b->getBlockID(); ?>.focus();
                                                                        } else {
                                                                            alert('<?php   echo ('There was an error sending your emails. Please try again later.'); ?>');
                                                                        }
                                                                    }
                                                                },
                                                                error: function () {
                                                                    alert('<?php   echo ('There was an error sending your email. Please try again later.'); ?>');
                                                                    $('#skybluesofa-social-share-emailer-<?php   echo $b->getBlockID(); ?> .skybluesofa-social-share-emailer-popup-wrapper').hide();
                                                                }
                                                            });
                                                            return false;
                                                        });
                                                    });</script>
                                                <form
                                                    id="skybluesofa-social-share-form-<?php  echo $b->getBlockID(); ?>">
                                                    <input type="hidden" name="cID"
                                                           value="<?php  echo $sbsss_cID; ?>"><input type="hidden"
                                                                                                    name="pageTitle"
                                                                                                    value="<?php  echo $sbsss_pageTitle; ?>"><input
                                                        type="hidden" name="pageURL"
                                                        value="<?php  echo $sbsss_pageURL; ?>">
                                                    <table>
                                                        <tr>
                                                            <td valign="top"><label
                                                                    for="skybluesofa-social-share-to-<?php  echo $b->getBlockID(); ?>"><?php  echo t('To'); ?></label>
                                                            </td>
                                                            <td valign="top"><input required
                                                                                    placeholder="your.friend@email.com"
                                                                                    type="email"
                                                                                    name="skyblue-sofa-social-share-form-to"
                                                                                    id="skybluesofa-social-share-to-<?php  echo $b->getBlockID(); ?>"
                                                                                    class="emailField"></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top"><label
                                                                    for="skybluesofa-social-share-from-<?php  echo $b->getBlockID(); ?>"><?php  echo t('From'); ?></label>
                                                            </td>
                                                            <td valign="top"><input required
                                                                                    placeholder="your.email@somedomain.com"
                                                                                    type="email"
                                                                                    name="skyblue-sofa-social-share-form-from"
                                                                                    id="skybluesofa-social-share-from-<?php  echo $b->getBlockID(); ?>"
                                                                                    class="emailField"></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top"><label
                                                                    for="skybluesofa-social-share-comment-<?php  echo $b->getBlockID(); ?>"><?php  echo t('Comment'); ?></label>
                                                            </td>
                                                            <td valign="top"><textarea required
                                                                                       placeholder="Your comment about this page to your friend..."
                                                                                       name="skyblue-sofa-social-share-form-comment"
                                                                                       id="skybluesofa-social-share-comment-<?php  echo $b->getBlockID(); ?>"
                                                                                       class="commentField"></textarea>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">&nbsp;</td>
                                                            <td valign="top"><input type="submit" value="Share"
                                                                                    class="submitButton"><input
                                                                    type="button" value="<?php  echo t('Cancel'); ?>"
                                                                    class="cancelButton"
                                                                    onClick="hideEmailPopup<?php  echo $b->getBlockID(); ?>();
                                                                        return false;"></td>
                                                        </tr>
                                                    </table>
                                                </form>
                                            </div>
                                        </div>
                                        <style>
                                            .skybluesofa-social-share-emailer-bubble DIV.skybluesofa-social-share-emailer-counter {
                                                background-image: url(<?php   echo DIR_REL ?>/packages/skybluesofa_social_share/img/share_via_email_bubble_large.png);
                                            }

                                            .skybluesofa-social-share-emailer-horizontal DIV.skybluesofa-social-share-emailer-counter {
                                                background-image: url(<?php   echo DIR_REL ?>/packages/skybluesofa_social_share/img/share_via_email_bubble_small.png);
                                            }

                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-counter {
                                                color: # <?php   echo $emailShareBackgroundColor; ?>;
                                            }

                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-popup-wrapper {
                                                background-color: # <?php   echo $emailShareBackgroundColor; ?>;
                                            }

                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-popup DIV.skybluesofa-social-share-emailer-popup-header {
                                                background-color: # <?php   echo $emailShareBackgroundColor; ?>;
                                            }

                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-popup INPUT.emailField,
                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-popup TEXTAREA.commentField {
                                                border: 1px solid # <?php   echo $emailShareBackgroundColor; ?>;
                                            }

                                            #skybluesofa-social-share-emailer- <?php   echo $b->getBlockID(); ?> DIV.skybluesofa-social-share-emailer-popup INPUT.submitButton {
                                                border: 1px solid # <?php   echo $submitBorderColor; ?>;
                                                background-color: # <?php   echo $emailShareSubmitColor; ?>;
                                            }
                                        </style>
                                    </div>
                                <?php  } elseif ($networkName == 'facebook') { ?>
                                    <div id="fb-root"></div>
                                    <script>(function (d, s, id) {
                                            var js, fjs = d.getElementsByTagName(s)[0];
                                            if (d.getElementById(id))
                                                return;
                                            js = d.createElement(s);
                                            js.id = id;
                                            js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=<?php   echo $settings['facebook_app_id']; ?>";
                                            fjs.parentNode.insertBefore(js, fjs);
                                        }(document, 'script', 'facebook-jssdk'));</script>
									<?php  if ($sharedNetwork['fb_verb'] == 'Share') { ?>
                                    <div class="fb-share-button" <?php 
                                    if ($buttonFormat == 'icon') {
                                        echo 'data-width="50" data-type="button"';
                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo 'data-width="50" data-type="button_count"';
                                    } else {
                                        echo 'data-width="50" data-type="box_count"';
                                    }
                                    if ($sharedNetwork['url']) {
                                        echo ' data-href="' . $sharedNetwork['url'] . '"';
                                    }
                                    ?>></div>
                                <?php  } else { ?>
                                    <div class="fb-like" data-send="false" data-show-faces="false" <?php 
                                    if ($buttonFormat == 'icon') {
                                        echo 'data-width="50" data-layout="button_count"';
                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo 'data-width="50" data-layout="button_count"';
                                    } else {
                                        echo 'data-width="45" data-layout="box_count"';
                                    }
                                    if ($sharedNetwork['fb_verb'] == 'Recommend') {
                                        echo ' data-action="recommend"';
                                    }
                                    if ($sharedNetwork['url']) {
                                        echo ' data-href="' . $sharedNetwork['url'] . '"';
                                    }
                                    ?>></div>
                                <?php  } ?>
                                <?php  } elseif ($networkName == 'google+') { ?>
                                    <?php  if ($buttonFormat == 'icon') { ?>
                                    <g:plusone size="medium" annotation="none"></g:plusone>
                                <?php  } elseif ($buttonFormat == 'horizontal') { ?>
                                    <g:plusone size="medium" annotation="none"></g:plusone>
                                <?php  } else { ?>
                                    <g:plusone size="tall"></g:plusone>
                                <?php  } ?>
									<!-- Place this render call where appropriate -->

                                    <script type="text/javascript">
                                        (function () {
                                            var po = document.createElement('script');
                                            po.type = 'text/javascript';
                                            po.async = true;
                                            po.src = 'https://apis.google.com/js/plusone.js';
                                            var s = document.getElementsByTagName('script')[0];
                                            s.parentNode.insertBefore(po, s);
                                        })();</script>
                                <?php 
                                } elseif ($networkName == 'hyves') {
                                $url = urlencode($sbsss_pageURL);
                                if ($buttonFormat == 'icon') {
                                ?>
                                    <iframe
                                        src="//www.hyves.nl/respect/button?url=<?php  echo $url; ?>&counterStyle=no-count"
                                        style="border: medium none; overflow:hidden; width:70px; height:80px;"
                                        scrolling="no" frameborder="0"></iframe>
                                <?php  } elseif ($buttonFormat == 'horizontal') { ?>
                                    <iframe
                                        src="//www.hyves.nl/respect/button?url=<?php  echo $url; ?>&counterStyle=horizontal"
                                        style="border: medium none; overflow:hidden; width:120px; height:120px;"
                                        scrolling="no" frameborder="0"></iframe>
                                <?php  } else { ?>
                                    <iframe
                                        src="//www.hyves.nl/respect/button?url=<?php  echo $url; ?>&counterStyle=vertical"
                                        style="border: medium none; overflow:hidden; width:70px; height:80px;"
                                        scrolling="no" frameborder="0"></iframe>
                                <?php  } ?>
                                <?php  } elseif ($networkName == 'linkedin') { ?>
                                    <script type="text/javascript" src="//platform.linkedin.com/in.js"></script>
                                    <script type="in/share" data-url="<?php  echo $skybluesofaCurrentPageURL; ?>" <?php 
                                    if ($buttonFormat == 'icon') {

                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo 'data-counter="right"';
                                    } else {
                                        echo 'data-counter="top"';
                                    }
                                    if ($sharedNetwork['url']) {
                                        echo ' data-url="' . $sharedNetwork['url'] . '"';
                                    }
                                    ?>></script>
                                <?php  } elseif ($networkName == 'pinterest') { ?>
                                    <?php 
                                    if (empty($sharedNetwork['url']))
                                        $sharedNetwork['url'] = "";
                                    $sharedNetwork['url'] = urlencode($sharedNetwork['url']);
                                    if (!empty($sharedNetwork['dg_description']))
                                        $sharedNetwork['url'] .= "&description=" . urlencode($sharedNetwork['dg_description']);
                                    if (!empty($sharedNetwork['pin_media'])) {
                                        $sharedNetwork['url'] .= "&media=" . urlencode($sharedNetwork['pin_media']);
                                    } elseif ($pinterest_image) {
                                        $sharedNetwork['url'] .= "&media=" . urlencode($pinterest_image);
                                    }
                                    ?>
                                    <a href="//pinterest.com/pin/create/button/?url=<?php  echo $sharedNetwork['url']; ?>"
                                       class="pin-it-button" count-layout="<?php 
                                    if ($buttonFormat == "icon") {
                                        echo "none";
                                    } elseif ($buttonFormat == "horizontal") {
                                        echo "horizontal";
                                    } else {
                                        echo "vertical";
                                    }
                                    ?>"><?php  echo t('Pin It'); ?></a>
                                    <script type="text/javascript" src="//assets.pinterest.com/js/pinit.js"></script>
                                <?php  } elseif ($networkName == 'reddit') { ?>
                                    <?php  if ($buttonFormat == 'icon') { ?>
                                    <a href="//www.reddit.com/submit"
                                       onclick="window.location = 'http://www.reddit.com/submit?url=<?php 
                                       if ($sharedNetwork['url']) {
                                           echo urlencode($sharedNetwork['url']) . "'";
                                       } else {
                                           echo "' + encodeURIComponent(window.location)";
                                       }
                                       ?>; return false"> <img src="//www.reddit.com/static/spreddit7.gif"
                                                               alt="submit to reddit" border="0"/> </a>
                                <?php  } else { ?>
                                    <?php 
                                    if ($sharedNetwork['url'] || $sharedNetwork['title']) {
                                        echo '<script type="text/javascript">';
                                        if ($sharedNetwork['title']) {
                                            echo 'reddit_title="' . $sharedNetwork['title'] . '"';
                                        }
                                        if ($sharedNetwork['url']) {
                                            echo 'reddit_url="' . $sharedNetwork['url'] . '"';
                                        }
                                        echo '</script>';
                                    }
                                if ($buttonFormat == 'horizontal') {
                                    ?>
                                    <script type="text/javascript"
                                            src="//www.reddit.com/static/button/button1.js"></script><?php 
                                } else {
                                    ?>
                                    <script type="text/javascript"
                                            src="//www.reddit.com/static/button/button2.js"></script><?php  } ?>
                                <?php  } ?>
                                <?php  } elseif ($networkName == 'stumbleupon') { ?>
                                    <su:badge layout="<?php 
                                    if ($buttonFormat == 'icon') {
                                        echo '4';
                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo '1';
                                    } else {
                                        echo '5';
                                    }
                                    ?>"<?php 
                                    if ($sharedNetwork['url']) {
                                        echo ' location="' . $sharedNetwork['url'] . '"';
                                    }
                                    ?>></su:badge>
                                    <script type="text/javascript">
                                        (function () {
                                            var li = document.createElement('script');
                                            li.type = 'text/javascript';
                                            li.async = true;
                                            li.src = 'https://platform.stumbleupon.com/1/widgets.js';
                                            var s = document.getElementsByTagName('script')[0];
                                            s.parentNode.insertBefore(li, s);
                                        })();</script>
                                <?php  } elseif ($networkName == 'twitter') { ?>
                                    <a href="https://twitter.com/share" class="twitter-share-button" <?php 
                                    if ($buttonFormat == 'icon') {
                                        echo 'data-count="none"';
                                    } elseif ($buttonFormat == 'horizontal') {
                                        echo 'data-count="horizontal"';
                                    } else {
                                        echo 'data-count="vertical"';
                                    }
                                    if ($sharedNetwork['title']) {
                                        echo ' data-text="' . $sharedNetwork['title'] . '"';
                                    }
                                    if ($sharedNetwork['url']) {
                                        echo ' data-url="' . $sharedNetwork['url'] . '"';
                                    }
                                    if ($sharedNetwork['tw_recommend']) {
                                        echo ' data-via="' . $sharedNetwork['tw_recommend'] . '"';
                                    }
                                    ?>><?php  echo t('Tweet'); ?></a>
                                    <script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
                                <?php  } ?>
							</span>
						</span>
            </li>
        <?php  } ?>
    <?php  } ?>
    </ul>
    </div>
    <div style="clear:both;"></div>

<?php 
}
