<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

class DashboardBlocksSocialConnectController
		extends Controller
{

	var $helpers = array('form');
	var $defaultImageArea = 'Main';
	var $defaultVerticalGap = '10';

	public function on_start()
	{
		$this->token = Loader::helper('validation/token');
	}

	public function view()
	{
		$this->loadMeta();
	}

	public function loadMeta()
	{
		$db = Loader::db();

		$networks = $db->GetArray("SELECT *
			FROM btSkybluesofaSocialNetworks
			WHERE id IN (SELECT MAX(id)
				       FROM btSkybluesofaSocialNetworks
				       GROUP by handle)
			ORDER BY name;");
		$this->set('networks', $networks);
	}

}
