<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

class SkybluesofaSocializerPagePromotion
{

	static public function post_on_publish($cObj)
	{
		$user = new User();
		Loader::model('site/network/twitter', 'skybluesofa_social_share');
		$siteTwitter = new SiteTwitterSocialPost();
		$siteTwitter->postOnPagePublish($cObj);
		unset($siteTwitter);

		Loader::model('user/network/twitter', 'skybluesofa_social_share');
		$userTwitter = new UserTwitterSocialPost($user);
		Log::addEntry('Posting for User', 'Social Promote');
		$userTwitter->postOnPagePublish($cObj);
		unset($userTwitter);

		Loader::model('site/network/facebook', 'skybluesofa_social_share');
		$siteFacebook = new SiteFacebookSocialPost();
		$siteFacebook->postOnPagePublish($cObj);
		unset($siteFacebook);

		Loader::model('user/network/facebook', 'skybluesofa_social_share');
		$userFacebook = new UserFacebookSocialPost($user);
		$userFacebook->postOnPagePublish($cObj);
		unset($userFacebook);

		Loader::model('site/network/linkedin', 'skybluesofa_social_share');
		$siteLinkedIn = new SiteLinkedInSocialPost();
		$siteLinkedIn->postOnPagePublish($cObj);
		unset($siteLinkedIn);

		Loader::model('user/network/linkedin', 'skybluesofa_social_share');
		$userLinkedIn = new UserLinkedInSocialPost($user);
		$userLinkedIn->postOnPagePublish($cObj);
		unset($userLinkedIn);
	}

}
