var SkyBlueSofaCssShare = {
    init: function() {
        $('.skybluesofa-cssShare-sharedNetwork-options-input-background').each(function() {
            SkyBlueSofaCssShare.updateColorTest(this);
        });
    }
    , showTab: function(pane) {
        $('#skybluesofa-cssShare-tabs LI').removeClass('ccm-nav-active');
        $('#skybluesofa-cssShare-tab-' + pane).addClass('ccm-nav-active');
        $('DIV.skybluesofa-cssShare-pane:not(#skybluesofa-cssShare-pane-' + pane + ')').hide();
        $('#skybluesofa-cssShare-pane-' + pane).show();
    }
    , updateColorTest: function(el) {
        $el = $(el);
        if ($el.is('SELECT')) {
            $row = $el.parent().parent().parent().parent().parent();
        } else {
            $row = $el;
        }
        $networkType = $row.find('.skybluesofa-cssShare-sharedNetwork-network SELECT').val();
        $backgroundSet = $row.find('.skybluesofa-cssShare-sharedNetwork-options-row-background SELECT');
        $backgroundSetVal = $backgroundSet.val();
        $backgroundCustom = $row.find('.skybluesofa-cssShare-sharedNetwork-options-row-background INPUT.custom_color');
        $backgroundTest = $row.find('.skybluesofa-cssShare-sharedNetwork-options-row-background .color_test');
        $iconSet = $row.find('.skybluesofa-cssShare-sharedNetwork-options-row-icon SELECT').val();
        $iconTest = $row.find('.skybluesofa-cssShare-sharedNetwork-options-row-icon .color_test');

        if ($backgroundSetVal == '') {
            if ($networkType == 'google+') {
                $networkType = 'google';
            }
            $backgroundSet.removeClass('span2');
            $backgroundCustom.hide();
            $backgroundTest.css('background-color', '');
            $backgroundTest.attr('class', 'color_test ' + $networkType);
        } else {
            if ($backgroundSetVal == '_custom_') {
                $backgroundSet.addClass('span2');
                $backgroundCustom.show();
                $backgroundTest.css('background-color', '#' + $backgroundCustom.val());
                $backgroundTest.attr('class', 'color_test');
            } else {
                $backgroundSet.removeClass('span2');
                $backgroundCustom.hide();
                $backgroundTest.css('background-color', '');
                $backgroundTest.attr('class', 'color_test ' + $backgroundSetVal);
            }
        }
        if ($iconSet != 'black' && $iconSet != 'white') {
            if ($backgroundSetVal == 'dark_white' || $backgroundSetVal == 'light-gray' || $backgroundSetVal == 'light-blue' ||
                    $backgroundSetVal == 'light-purple' || $backgroundSetVal == 'pink' || $backgroundSetVal == 'light-green' ||
                    $backgroundSetVal == 'yellow' || $networkType == 'hyves' || $networkType == 'reddit' || $networkType == 'email') {
                $iconTest.attr('class', 'color_test black-icon');
            } else {
                $iconTest.attr('class', 'color_test white-icon');
            }
        } else {
            $iconTest.attr('class', 'color_test ' + $iconSet + '-icon');
        }
    }
    , changeSharedNetwork: function(el) {
        var $el = $(el);
        var $sharedNetworkRow = $el.parent().parent();
        var networkType = $el.val();
        var $optionTitle = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-title');
        var $optionURL = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-url');
        var $optionPinMedia = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-pin_media');
        var $optionDescription = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-description');
        var $optionBackground = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-background');
        var $optionIconColor = $sharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row-icon');

        if (networkType == 'digg') {
            if ($optionTitle.is(':hidden'))
                $optionTitle.slideDown();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':hidden'))
                $optionDescription.slideDown();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'email') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':visible'))
                $optionURL.slideUp();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'facebook') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'google+') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':visible'))
                $optionURL.slideUp();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'hyves') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':visible'))
                $optionURL.slideUp();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'linkedin') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'pinterest') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':hidden'))
                $optionPinMedia.slideDown();
            if ($optionDescription.is(':hidden'))
                $optionDescription.slideDown();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'reddit') {
            if ($optionTitle.is(':hidden'))
                $optionTitle.slideDown();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'stumbleupon') {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else if (networkType == 'twitter') {
            if ($optionTitle.is(':hidden'))
                $optionTitle.slideDown();
            if ($optionURL.is(':hidden'))
                $optionURL.slideDown();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':hidden'))
                $optionBackground.slideDown();
            if ($optionIconColor.is(':hidden'))
                $optionIconColor.slideDown();
        } else {
            if ($optionTitle.is(':visible'))
                $optionTitle.slideUp();
            if ($optionURL.is(':visible'))
                $optionURL.slideUp();
            if ($optionPinMedia.is(':visible'))
                $optionPinMedia.slideUp();
            if ($optionDescription.is(':visible'))
                $optionDescription.slideUp();
            if ($optionBackground.is(':visible'))
                $optionBackground.slideUp();
            if ($optionIconColor.is(':visible'))
                $optionIconColor.slideUp();
        }
        SkyBlueSofaCssShare.updateColorTest($sharedNetworkRow);

    }
    , addSharedNetwork: function(el) {
        var newSharedNetworkRow = $('DIV.skybluesofa-cssShare-sharedNetwork-template').clone();
        newSharedNetworkRow.addClass('skybluesofa-cssShare-sharedNetwork').removeClass('skybluesofa-cssShare-sharedNetwork-template').hide();
        newSharedNetworkRow.find('.skybluesofa-cssShare-sharedNetwork-options-row').hide();
        $('.skybluesofa-cssShare-sharedNetwork-list').append(newSharedNetworkRow);
        $('.skybluesofa-cssShare-sharedNetwork:last').slideDown();
        $('.skybluesofa-cssShare-sharedNetwork-list').append('<div class="skybluesofa-cssShare-sharedNetwork-row-clear"> </div>');
    }
    , removeSharedNetwork: function(el) {
        $(el).parent().slideUp('slow', function() {
            $(this).remove();
        });
    }
    , changeIconType: function(el) {
        var iconType = $(el).val();
        if (iconType == 'connect') {
            $('#skybluesofa-iconTypeSettings_css').slideUp();
            $('#skybluesofa-iconTypeSettings_connect').slideDown();
        } else {
            $('#skybluesofa-iconTypeSettings_css').slideDown();
            $('#skybluesofa-iconTypeSettings_connect').slideUp();
        }
    }
}

function skybluesofaCssShareTabSetup() {
    $('#skybluesofa-cssShare-tabs A').bind('click', function() {
        var $this = $(this);
        var pane = $this.parent().attr('id').replace('skybluesofa-cssShare-tab-', '');
        SkyBlueSofaCssShare.showTab(pane);
    });
}

function skybluesofaCssShareRowSetup() {
    $('.skybluesofa-cssShare-sharedNetwork-network SELECT').trigger('change');
}

$(function() {
    skybluesofaCssShareTabSetup();
    skybluesofaCssShareRowSetup();
    $('DIV.sortable').sortable({forcePlaceholderSize: true, placeHolder: 'skybluesofa-share-placeholder'});
});
