<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */
?> 
<?php  
$form = Loader::helper('form');
$al = Loader::helper('concrete/asset_library');
$ah = Loader::helper('concrete/interface');
?>
<ul id="skybluesofa-cssShare-tabs" class="ccm-dialog-tabs" style="margin-left:0;">
	<li id="skybluesofa-cssShare-tab-sharedNetworks" class="skybluesofa-cssShare-tab ccm-nav-active"><a href="javascript:void(0);"><?php   echo t('Networks') ?></a></li>
	<li id="skybluesofa-cssShare-tab-buttons" class="skybluesofa-cssShare-tab"><a href="javascript:void(0);"><?php   echo t('Button Format') ?></a></li>
	<li id="skybluesofa-cssShare-tab-settings" class="skybluesofa-cssShare-tab"><a href="javascript:void(0);"><?php   echo t('Layout') ?></a></li>
</ul>
<div class="skybluesofa-cssShare-pane" id="skybluesofa-cssShare-pane-sharedNetworks" style="clear:both;">
	<div class="skybluesofa-cssShare-sharedNetwork-headers" style="border:0;">
		<div class="skybluesofa-cssShare-sortable-handle">&nbsp;</div>
		<div class="skybluesofa-cssShare-sharedNetwork-network"><label style="text-align:left;"><?php   echo t('Network'); ?></label></div>
		<div class="skybluesofa-cssShare-sharedNetwork-options"><?php   echo $form->label('options', t('Options')) ?></div>
	</div>
	<div class="skybluesofa-cssShare-sharedNetwork-list sortable">
		<div class="skybluesofa-cssShare-sharedNetwork-template" style="display:none;">
			<div class="skybluesofa-cssShare-sortable-handle"></div>
			<div class="skybluesofa-cssShare-sharedNetwork-network">
				<select name="sharedNetworks[network][]" onchange="SkyBlueSofaCssShare.changeSharedNetwork(this);" style="width:150px;">
					<option value=""></option>
					<?php  
					foreach ($networks as $network) {
						if ($network['active']) {
							?>
							<option value="<?php   echo $network['handle']; ?>"><?php   echo $network['name']; ?></option>
							<?php  
						}
					}
					?> 
				</select>
			</div>
			<div class="skybluesofa-cssShare-sharedNetwork-options">
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-title" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Title to send. Leave blank for this page title.">
						<div class="input">
							<span class="add-on"><?php   echo t('Title') ?> </span><input type="text" name="sharedNetworks[title][]" value="" class="skybluesofa-cssShare-sharedNetwork-options-input-title" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-url" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Web Address to send. Leave blank for this page URL.">
						<div class="input">
							<span class="add-on"><?php   echo t('Web Address') ?> </span><input type="text" name="sharedNetworks[url][]" value="" class="skybluesofa-cssShare-sharedNetwork-options-input-url" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-pin_media" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="What is the URL of the image to pin.">
						<div class="input">
							<span class="add-on"><?php   echo t('Image URL') ?> </span><input type="text" name="sharedNetworks[pin_media][]" value="<?php   echo $pinterest_image ? $pinterest_image : ''; ?>" class="skybluesofa-cssShare-sharedNetwork-options-input-pin_media" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-description" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="What is the description of the content of the URL.">
						<div class="input">
							<span class="add-on"><?php   echo t('Description') ?> </span><input type="text" name="sharedNetworks[description][]" value="" maxlength="255" class="skybluesofa-cssShare-sharedNetwork-options-input-description" />
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-background" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Background color. Set to default to use the 'normally associated' color.">
						<div class="input">
							<span class="add-on">Background</span>
							<select name="sharedNetworks[background][]" class="skybluesofa-cssShare-sharedNetwork-options-input-background">
								<option value="">Default</option>
								<option value="dark_white">White</option>
								<option value="blue">Blue</option>
								<option value="bright-blue">Bright Blue</option>
								<option value="purple">Purple</option>
								<option value="red">Red</option>
								<option value="green">Green</option>
								<option value="orange">Orange</option>
								<option value="brown">Brown</option>
								<option value="black">Black</option>
								<option value="gray">Slate</option>
								<option value="light-gray">Gray</option>
								<option value="light-blue">Sky Blue</option>
								<option value="light-purple">Lilac</option>
								<option value="pink">Pink</option>
								<option value="light-green">Mint Green</option>
								<option value="yellow">Yellow</option>
								<option value="_custom_">Custom</option>
							</select>
							<input class="custom_color span1" name="sharedNetworks[custom_background][]">
							<span class="color_test"></span>
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-icon" style="display:none;">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Icon color. Set to default to use a background-contrasting color.">
						<div class="input">
							<span class="add-on">Icon</span>
							<select name="sharedNetworks[icon][]" class="skybluesofa-cssShare-sharedNetwork-options-input-icon">
								<option value="">Default</option>
								<option value="white">White</option>
								<option value="black">Black</option>
							</select><span class="color_test"></span>
						</div>
					</div>
				</div>
			</div>
			<div class="skybluesofa-cssShare-sharedNetwork-remove" onclick="SkyBlueSofaCssShare.removeSharedNetwork(this);">
				<div class="skybluesofa-cssShare-sharedNetwork-remove-image"></div>
			</div>
		</div>
		<?php   $sharedNetworks[] = array(); ?>
		<?php   foreach ($sharedNetworks as $sharedNetwork) { ?>
			<div class="skybluesofa-cssShare-sharedNetwork">
				<div class="skybluesofa-cssShare-sortable-handle"></div>
				<div class="skybluesofa-cssShare-sharedNetwork-network">
					<select name="sharedNetworks[network][]" onchange="SkyBlueSofaCssShare.changeSharedNetwork(this);" style="width:150px;">
						<option value=""></option>
						<?php  
						foreach ($networks as $network) {
							if ((!$network['active'] && $network['handle'] == $sharedNetwork['network']) || $network['active']) {
								?>
								<option value="<?php   echo $network['handle']; ?>" <?php   if ($network['handle'] == $sharedNetwork['network']) { ?>selected="selected"<?php   } ?>><?php   echo $network['name']; ?></option>
								<?php  
							}
						}
						?> 
					</select>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-options">
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-title" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Title to send. Leave blank for this page title.">
							<div class="input">
								<span class="add-on"><?php   echo t('Title') ?> </span><input type="text" name="sharedNetworks[title][]" value="<?php   echo $sharedNetwork['title']; ?>" maxlength="255" class="skybluesofa-cssShare-sharedNetwork-options-input-title" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-url" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Web Address to send. Leave blank for this page URL.">
							<div class="input">
								<span class="add-on"><?php   echo t('Web Address'); ?> </span><input type="text" name="sharedNetworks[url][]" value="<?php   echo $sharedNetwork['url']; ?>" class="skybluesofa-cssShare-sharedNetwork-options-input-url" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-pin_media" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="What is the URL of the image to pin.">
							<div class="input">
								<span class="add-on"><?php   echo t('Image URL') ?> </span><input type="text" name="sharedNetworks[pin_media][]" value="<?php   echo $sharedNetwork['pin_media'] ? $sharedNetwork['pin_media'] : $pinterest_image ? $pinterest_image : ''; ?>" class="skybluesofa-cssShare-sharedNetwork-options-input-pin_media" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-description" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="What is the description of the content of the URL.">
							<div class="input">
								<span class="add-on"><?php   echo t('Description') ?> </span><input type="text" name="sharedNetworks[description][]" value="<?php   echo $sharedNetwork['description']; ?>" maxlength="255" class="skybluesofa-cssShare-sharedNetwork-options-input-description" />
							</div>
						</div>
					</div>
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-background" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Background color. Set to default to use the 'normally associated' color.">
							<div class="input">
								<span class="add-on">Background</span>
								<select name="sharedNetworks[background][]" class="skybluesofa-cssShare-sharedNetwork-options-input-background" onchange="SkyBlueSofaCssShare.updateColorTest(this);">
									<option value="">Default</option>
									<option value="dark_white" <?php  
									if ($sharedNetwork['background'] == "dark_white") {
										echo " selected";
									}
									?>>White</option>
									<option value="blue" <?php  
									if ($sharedNetwork['background'] == "blue") {
										echo " selected";
									}
									?>>Blue</option>
									<option value="bright-blue" <?php  
									if ($sharedNetwork['background'] == "bright-blue") {
										echo " selected";
									}
									?>>Bright Blue</option>
									<option value="purple" <?php  
									if ($sharedNetwork['background'] == "purple") {
										echo " selected";
									}
									?>>Purple</option>
									<option value="red" <?php  
									if ($sharedNetwork['background'] == "red") {
										echo " selected";
									}
									?>>Red</option>
									<option value="green" <?php  
									if ($sharedNetwork['background'] == "green") {
										echo " selected";
									}
									?>>Green</option>
									<option value="orange" <?php  
									if ($sharedNetwork['background'] == "orange") {
										echo " selected";
									}
									?>>Orange</option>
									<option value="brown" <?php  
									if ($sharedNetwork['background'] == "brown") {
										echo " selected";
									}
									?>>Brown</option>
									<option value="black" <?php  
									if ($sharedNetwork['background'] == "black") {
										echo " selected";
									}
									?>>Black</option>
									<option value="gray" <?php  
									if ($sharedNetwork['background'] == "gray") {
										echo " selected";
									}
									?>>Slate</option>
									<option value="light-gray" <?php  
									if ($sharedNetwork['background'] == "light-gray") {
										echo " selected";
									}
									?>>Gray</option>
									<option value="light-blue" <?php  
									if ($sharedNetwork['background'] == "light-blue") {
										echo " selected";
									}
									?>>Sky Blue</option>
									<option value="light-purple" <?php  
									if ($sharedNetwork['background'] == "light-purple") {
										echo " selected";
									}
									?>>Lilac</option>
									<option value="pink" <?php  
									if ($sharedNetwork['background'] == "pink") {
										echo " selected";
									}
									?>>Pink</option>
									<option value="light-green" <?php  
									if ($sharedNetwork['background'] == "light-green") {
										echo " selected";
									}
									?>>Mint Green</option>
									<option value="yellow" <?php  
									if ($sharedNetwork['background'] == "yellow") {
										echo " selected";
									}
									?>>Yellow</option>
									<option value="_custom_" <?php  
									if ($sharedNetwork['background'] == "_custom_") {
										echo " selected";
									}
									?>>Custom</option>
								</select>
								<input class="custom_color span1" name="sharedNetworks[custom_background][]" value="<?php   echo $sharedNetwork['custom_background']; ?>" onchange="SkyBlueSofaCssShare.updateColorTest(this);">
								<span class="color_test"></span>
							</div>
						</div>
					</div>
					<div class="skybluesofa-cssShare-sharedNetwork-options-row skybluesofa-cssShare-sharedNetwork-options-row-icon" style="display:none;">
						<div class="skybluesofa-cssShare-sharedNetwork-options-row-value" title="Icon color. Set to default to use a background-contrasting color.">
							<div class="input">
								<span class="add-on">Icon</span>
								<select name="sharedNetworks[icon][]" class="skybluesofa-cssShare-sharedNetwork-options-input-icon" onchange="SkyBlueSofaCssShare.updateColorTest(this);">
									<option value="">Default</option>
									<option value="white" <?php  
									if ($sharedNetwork['icon'] == "white") {
										echo " selected";
									}
									?>>White</option>
									<option value="black" <?php  
									if ($sharedNetwork['icon'] == "black") {
										echo " selected";
									}
									?>>Black</option>
								</select>
								<span class="color_test"></span>
							</div>
						</div>
					</div>
				</div>
				<div class="skybluesofa-cssShare-sharedNetwork-remove" onclick="SkyBlueSofaCssShare.removeSharedNetwork(this);">
					<div class="skybluesofa-cssShare-sharedNetwork-remove-image"></div>
				</div>
			</div>
			<div class="skybluesofa-cssShare-sharedNetwork-row-clear"> </div>
		<?php   } ?>
	</div>
	<div class="skybluesofa-cssShare-sharedNetwork-buttons" style="margin-left:16px;">
		<a href="#" id="skybluesofa-cssShare-addNetwork" class="btn info" onclick="SkyBlueSofaCssShare.addSharedNetwork();
				return false;">Add a Network</a>
	</div>
</div>
<div class="skybluesofa-cssShare-pane" id="skybluesofa-cssShare-pane-buttons" style="display:none;">
	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Icon Type'); ?></label>
		<div class="input" style="margin-left:220px;">
			<select name="icon_type" class="span2" onchange="SkyBlueSofaCssShare.changeIconType(this);">
				<option value="css" <?php   if ($icon_type == "css" || empty($icon_type)) { ?>selected="selected"<?php   } ?>>CSS</option>
				<option value="connect" <?php   if ($icon_type == "connect") { ?>selected="selected"<?php   } ?>>Connect Icons</option>
			</select>
		</div>
	</div>

	<div id="skybluesofa-iconTypeSettings_css">
		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Corners'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="style_corners" class="span2">
					<option value="rounded" <?php   if ($style_corners == "rounded" || empty($style_corners)) { ?>selected="selected"<?php   } ?>>Rounded</option>
					<option value="flat" <?php   if ($style_corners == "flat") { ?>selected="selected"<?php   } ?>>Square</option>
					<option value="circle" <?php   if ($style_corners == "circle") { ?>selected="selected"<?php   } ?>>Circle</option>
				</select>
			</div>
		</div>

		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Gradient Overlay'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="style_gradient" class="span2">
					<option value="1" <?php   if ($style_gradient == "1") { ?>selected="selected"<?php   } ?>>On</option>
					<option value="0" <?php   if ($style_gradient == "0" || empty($style_gradient)) { ?>selected="selected"<?php   } ?>>Off</option>
				</select>
			</div>
		</div>

		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Glossy Overlay'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="style_glossy" class="span2">
					<option value="1" <?php   if ($style_glossy == "1") { ?>selected="selected"<?php   } ?>>On</option>
					<option value="0" <?php   if ($style_glossy == "0" || empty($style_glossy)) { ?>selected="selected"<?php   } ?>>Off</option>
				</select>
			</div>
		</div>

		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Embossed'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="style_embossed" class="span2">
					<option value="1" <?php   if ($style_embossed == "1") { ?>selected="selected"<?php   } ?>>On</option>
					<option value="0" <?php   if ($style_embossed == "0" || empty($style_embossed)) { ?>selected="selected"<?php   } ?>>Off</option>
				</select>
			</div>
		</div>

		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Border'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="style_border" class="span2">
					<option value="thin" <?php   if ($style_border == "thin" || empty($style_border)) { ?>selected="selected"<?php   } ?>>Thin</option>
					<option value="thick-border" <?php   if ($style_border == "thick-border") { ?>selected="selected"<?php   } ?>>Thick</option>
					<option value="no-border" <?php   if ($style_border == "no-border") { ?>selected="selected"<?php   } ?>>Off</option>
				</select>
			</div>
		</div>

		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Size'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="size" class="span2">
					<option value="small" <?php   if ($size == "small") { ?>selected="selected"<?php   } ?>>Small</option>
					<option value="default" <?php   if ($size == "default" || empty($size)) { ?>selected="selected"<?php   } ?>>Medium</option>
					<option value="large" <?php   if ($size == "large") { ?>selected="selected"<?php   } ?>>Large</option>
				</select>
			</div>
		</div>
	</div>
	<div id="skybluesofa-iconTypeSettings_connect" style="display:none;">
		<div class="clearfix">
			<label style="width:200px"><?php   echo t('Size'); ?></label>
			<div class="input" style="margin-left:220px;">
				<select name="connect_size" class="span2">
					<option value="16" <?php   if ($connect_size == "16") { ?>selected="selected"<?php   } ?>>16x16</option>
					<option value="24" <?php   if ($connect_size == "24") { ?>selected="selected"<?php   } ?>>24x24</option>
					<option value="32" <?php   if ($connect_size == "32" || empty($connect_size)) { ?>selected="selected"<?php   } ?>>32x32</option>
					<option value="48" <?php   if ($connect_size == "48") { ?>selected="selected"<?php   } ?>>48x48</option>
				</select>
			</div>
		</div>
	</div>
</div>
<div class="skybluesofa-cssShare-pane" id="skybluesofa-cssShare-pane-settings" style="display:none;">
	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Layout'); ?></label>
		<div class="input" style="margin-left:220px;">
			<select name="layout" class="span2">
				<option value="horizontal" <?php   if ($layout == "horizontal" || empty($layout)) { ?>selected="selected"<?php   } ?>>Horizontal</option>
				<option value="vertical" <?php   if ($layout == "vertical") { ?>selected="selected"<?php   } ?>>Vertical</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:200px"><?php   echo t('Floating Template Offset'); ?></label>
		<div class="input" style="margin-left:220px;">
			<input name="floating_offset" value="<?php   echo $floating_offset; ?>" maxlength="4" class="span1"><span class="add-on"> <?php   echo t('px') ?></span>
		</div>
	</div>
</div>
<style>
	DIV.skybluesofa-cssShare-sortable-handle {
		float:left;
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif);
		margin-top:6px;
		cursor:pointer;
	}
	DIV.skybluesofa-cssShare-sortable-handle:hover {
		background-position:-15px 0;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-headers {
		border-bottom:1px solid #ccc;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-headers DIV.skybluesofa-cssShare-sortable-handle {
		background:none;
		cursor:default;
	}
	DIV.skybluesofa-cssShare-sharedNetwork {
		clear:both;
		border-top:1px solid #ccc;
		min-height:30px;
		background:#fff;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-network {
		float:left;
		width:25%;
		padding:1px 3px 1px;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-options {
		float:left;
		width:65%;
		padding:1px 3px 1px;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-options LABEL {
		width:90px
	}
	DIV.skybluesofa-cssShare-sharedNetwork-options-row {
		clear:both;
		padding:3px 0;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-options-row-value .input {
		margin-left:0;
	}
	.ccm-ui DIV.skybluesofa-cssShare-sharedNetwork-options-row-value .input-prepend .add-on {
		width:90px;
		text-align:right;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-remove {
		float:left;
		width:15px;
		height:100%;
		cursor:pointer;
		vertical-align:middle;
		margin-top:5px;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-remove-image {
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif) 0 -15px;
		margin:auto 0;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-remove:hover DIV.skybluesofa-cssShare-sharedNetwork-remove-image {
		background-position:-15px -15px;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-row-clear {
		height:1px;
		background-color:#ccc;
		clear:both;
	}
	DIV.skybluesofa-cssShare-sharedNetwork-buttons {
		clear:both;
		margin-top:7px;
	}
	.color_test {
		display:inline-block;
		width:28px;
		height:28px;
		border:1px solid #666;
		float:right;
		vertical-align:middle;
		border-radius:3px;
		margin-right:14px;
		transition:background 0.5s ease, border 0.5s ease;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .dark_white,
	.skybluesofa-cssShare-sharedNetwork-options-row-icon .white-icon {
		background-color: #f3f3f3;
		border: solid 1px #b8b8b9;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .bright-blue,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .twitter {
		background-color: #05ABE0;
		border-color: #048EBA;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .blue,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .facebook,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .linkedin {
		background-color: #4d7de1;
		border-color: #294c89;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .purple {
		background-color: #7a6bf8;
		border-color: #321396;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .red,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .pinterest,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .stumbleupon {
		background-color: #e8311f;
		border-color: #9d1d14;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .green {
		background-color: #4aab10;
		border-color: #1e5608;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .orange {
		background-color: #ff9600;
		border-color: #c35505;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .brown {
		background-color: #a35004;
		border-color: #622d07;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .black,
	.skybluesofa-cssShare-sharedNetwork-options-row-icon .black-icon,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .google {
		background-color: #252525;
		border-color: #000000;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .gray,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .digg {
		background-color: #989797;
		border-color: #3f3f3f;
		color: #fff;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .light-gray,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .email {
		background-color: #c7c7c7;
		border-color: #7b7b7b;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .light-blue,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .reddit {
		background-color: #bdd9fd;
		border-color: #6694d6;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .light-purple {
		background-color: #c1bafd;
		border-color: #7f76cc;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .pink {
		background-color: #feb4e4;
		border-color: #e464ac;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .light-green {
		background-color: #9bd611;
		border-color: #71a115;
	}
	.skybluesofa-cssShare-sharedNetwork-options-row-background .yellow,
	.skybluesofa-cssShare-sharedNetwork-options-row-background .hyves {
		background-color: #fff06c;
		border-color: #dcb232;
	}
</style>