<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */
?> 
<?php  
$form = Loader::helper('form');
$al = Loader::helper('concrete/asset_library');
$ah = Loader::helper('concrete/interface');
?>
<script>
	var networkTooltips = {};
<?php  
$networkTooltips = array();
foreach ($networks as $network) {
	$networkTooltips[$network['handle']] = $network['tooltip'];
	?>
		networkTooltips['<?php   echo $network['handle']; ?>'] = '<?php   echo $network['tooltip']; ?>';
<?php   } ?>
</script>
<ul id="skybluesofa-socialConnect-tabs" class="ccm-dialog-tabs" style="margin-left:0;">
	<li id="skybluesofa-socialConnect-tab-connections" class="skybluesofa-socialConnect-tab ccm-nav-active"><a href="javascript:void(0);"><?php   echo t('Networks') ?></a></li>
	<li id="skybluesofa-socialConnect-tab-settings" class="skybluesofa-socialConnect-tab"><a href="javascript:void(0);"><?php   echo t('Advanced') ?></a></li>
</ul>
<div class="skybluesofa-socialConnect-pane" id="skybluesofa-socialConnect-pane-connections">
	<div class="skybluesofa-socialConnect-connection-headers">
		<div class="skybluesofa-socialConnect-sortable-handle">&nbsp;</div>
		<div class="skybluesofa-socialShare-sharedNetwork-network span3" style="margin-left:0;"><label style="text-align:left;margin-left:7px;"><?php   echo t('Network'); ?></label></div>
		<div class="skybluesofa-socialShare-sharedNetwork-options span3" style="margin-left:7px;"><label style="text-align:left;margin-left:7px;"><?php   echo t('Web Address'); ?></label></div>
		<div class="skybluesofa-socialShare-sharedNetwork-options span2" style="margin-left:7px;"><label style="text-align:left;margin-left:7px;"><?php   echo t('Tooltip'); ?></label></div>
	</div>
	<div class="skybluesofa-socialConnect-connection-list sortable">
		<div class="skybluesofa-socialConnect-connection-template" style="display:none;">
			<div class="skybluesofa-socialConnect-sortable-handle"></div>
			<div class="skybluesofa-socialConnect-connection-network span3" style="margin-left:0;">
				<div class="input" style="margin-left:0;">
					<select name="connection[network][]" class="span3" onchange="SkyBlueSofaSocialConnect.updateTooltip(this);">
						<option value=""></option>
						<?php  
						foreach ($networks as $network) {
							if ($network['active']) {
								?>
								<option value="<?php   echo $network['handle']; ?>"><?php   echo $network['name']; ?></option>
								<?php  
							}
						}
						?> 
					</select>
				</div>
			</div>
			<div class="skybluesofa-socialConnect-connection-connection span3" style="margin-left:0;"><div class="input" style="margin-left:0;"><input type="text" name="connection[connection][]" value="" class="span3"></div></div>
			<div class="skybluesofa-socialConnect-connection-tooltip span2" style="margin-left:0;"><div class="input" style="margin-left:0;"><input type="text" name="connection[tooltip][]" value="" class="span2"></div></div>
			<div class="skybluesofa-socialConnect-connection-remove" onclick="SkyBlueSofaSocialConnect.removeConnection(this);"></div>
		</div>
		<?php   $connections[] = array(); ?>
		<?php   foreach ($connections as $connection) { ?>
			<div class="skybluesofa-socialConnect-connection">
				<div class="skybluesofa-socialConnect-sortable-handle"></div>
				<div class="skybluesofa-socialConnect-connection-network span3" style="margin-left:0;">
					<div class="input" style="margin-left:0;">
						<select name="connection[network][]" class="span3" onchange="SkyBlueSofaSocialConnect.updateTooltip(this);">
							<option value=""></option>
							<?php  
							foreach ($networks as $network) {
								if ((!$network['active'] && $network['handle'] == $connection['network']) || $network['active']) {
									?>
									<option value="<?php   echo $network['handle']; ?>" <?php   if ($network['handle'] == $connection['network']) { ?>selected="selected"<?php   } ?>><?php   echo $network['name']; ?></option>
									<?php  
								}
							}
							?> 
						</select>
					</div>
				</div>
				<div class="skybluesofa-socialConnect-connection-connection span3" style="margin-left:0;">
					<div class="input" style="margin-left:0;">
						<input type="text" name="connection[connection][]" value="<?php   echo ((isset($connection['url'])) ? $connection['url'] : '') ?>" class="span3">
					</div>
				</div>
				<div class="skybluesofa-socialConnect-connection-tooltip span2" style="margin-left:0;">
					<div class="input" style="margin-left:0;">
						<input type="text" name="connection[tooltip][]" value="<?php   echo ((isset($connection['tooltip'])) ? $connection['tooltip'] : $networkTooltips[$connection['network']]) ?>" class="span2">
					</div>
				</div>
				<div class="skybluesofa-socialConnect-connection-remove" onclick="SkyBlueSofaSocialConnect.removeConnection(this);"></div>
			</div>
		<?php   } ?>
	</div>
	<div id="skybluesofa-socialConnect-addconnection">
		<a href="#" class="btn info" onclick="SkyBlueSofaSocialConnect.addConnection();
				return false;">Add a Connection</a>
	</div>
</div>
<div class="skybluesofa-socialConnect-pane" id="skybluesofa-socialConnect-pane-settings" style="display:none;">
	<div class="clearfix" style="display:none;">
		<label style="width:150px"><?php   echo t('Tooltip'); ?></label>
		<div class="input" style="margin-left:170px"><input name="tooltip" value="<?php   echo $tooltip; ?>"></div>
	</div>

	<div class="clearfix">
		<label style="width:150px"><?php   echo t('Icon Size'); ?></label>
		<div class="input" style="margin-left:170px">
			<select name="iconSize" class="span2">
				<option value="16" <?php   if ((is_numeric($iconSize)) && ($iconSize <= 16)) { ?>selected="selected"<?php   } ?>>16x16</option>
				<option value="24" <?php   if ((is_numeric($iconSize)) && ($iconSize > 16 && $iconSize <= 24)) { ?>selected="selected"<?php   } ?>>24x24</option>
				<option value="32" <?php   if (((is_numeric($iconSize)) && ($iconSize > 24 && $iconSize <= 32)) || empty($iconSize) || (!is_numeric($iconSize) && $iconSize != 'custom')) { ?>selected="selected"<?php   } ?>>32x32</option>
				<option value="48" <?php   if ((is_numeric($iconSize)) && ($iconSize > 32)) { ?>selected="selected"<?php   } ?>>48x48</option>
				<option value="custom" <?php   if ($iconSize == 'custom') { ?>selected="selected"<?php   } ?>>Custom</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:150px"><?php   echo t('Layout Format'); ?></label>
		<div class="input" style="margin-left:170px">
			<select name="layout" class="span2">
				<option value="horizontal" <?php   if ($layout == "horizontal" || empty($layout)) { ?>selected="selected"<?php   } ?>>Horizontal</option>
				<option value="vertical" <?php   if ($layout == "vertical") { ?>selected="selected"<?php   } ?>>Vertical</option>
				<option value="cloud" <?php   if ($layout == "cloud") { ?>selected="selected"<?php   } ?>>Cloud</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:150px"><?php   echo t('Show Network Name'); ?></label>
		<div class="input" style="margin-left:170px">
			<select name="showNames" class="span2">
				<option value="1" <?php   if ($showNames == "1") { ?>selected="selected"<?php   } ?>>Yes</option>
				<option value="0" <?php   if ($showNames != "1") { ?>selected="selected"<?php   } ?>>No</option>
			</select>
		</div>
	</div>

	<div class="clearfix">
		<label style="width:150px"><?php   echo t('Open in a New Window'); ?></label>
		<div class="input" style="margin-left:170px">
			<select name="openNewWindow" class="span2">
				<option value="1" <?php   if ($openNewWindow == "1") { ?>selected="selected"<?php   } ?>>Yes</option>
				<option value="0" <?php   if ($openNewWindow != "1") { ?>selected="selected"<?php   } ?>>No</option>
			</select>
		</div>
	</div>

	<span style="display:none;">
		<div class="clearfix">
			<label style="width:150px"><?php   echo t('Animate Icon'); ?></label>
			<div class="input" style="margin-left:170px">
				<select name="animation" class="span1">
					<option value="1" <?php   if ($animation == "1") { ?>selected="selected"<?php   } ?>>Yes</option>
					<option value="0" <?php   if ($animation != "1") { ?>selected="selected"<?php   } ?>>No</option>
				</select>
			</div>
		</div>
	</span>

	<div class="clearfix">
		<label style="width:150px"><?php   echo t('Floating Template Offset'); ?></label>
		<div class="input" style="margin-left:170px">
			<input name="floating_offset" value="<?php   echo $floating_offset; ?>" class="span1" maxlength="4"><span class="add-on"> <?php   echo t('px') ?></span>
		</div>
	</div>
</div>

<style>
	DIV.skybluesofa-socialConnect-sortable-handle {
		float:left;
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif);
		margin-top:6px;
		cursor:pointer;
	}
	DIV.skybluesofa-socialConnect-sortable-handle:hover {
		background-position:-15px 0;
	}
	DIV.skybluesofa-socialConnect-connection-headers DIV.skybluesofa-socialConnect-sortable-handle {
		background:none;
		cursor:default;
	}
	DIV.skybluesofa-socialConnect-connection {
		clear:both;
		height:28px;
	}
	DIV.skybluesofa-socialConnect-connection-network {
		float:left;
		padding:1px 3px 1px;
		margin-left:0px;
	}
	DIV.skybluesofa-socialConnect-connection-connection {
		float:left;
		padding:1px 3px 1px;
		margin-left:0px;
	}
	DIV.skybluesofa-socialConnect-connection-tooltip {
		float:left;
		padding:1px 3px 1px;
		margin-left:0px;
	}
	DIV.skybluesofa-socialConnect-connection-remove {
		float:left;
		width:15px;
		height:15px;
		background:url(<?php   echo DIR_REL; ?>/packages/skybluesofa_social_share/img/sprites.gif) 0 -15px;
		margin:6px 0 0 14px;
		cursor:pointer;
	}
	DIV.skybluesofa-socialConnect-connection-remove:hover {
		background-position:-15px -15px;
	}
	#skybluesofa-socialConnect-addconnection {
		margin: 8px 0 0 18px;
	}
	.ccm-ui ul {
		margin-left:0px;
	}
</style>