<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$sih = Loader::helper('social_icon', 'skybluesofa_social_share');

if (count($connections) > 0) {
	?>
	<div class="skybluesofa-social-connections">
		<ul class="skybluesofa-social-connect-connections skybluesofa-social-connect-connections-<?php   echo $layout; ?><?php   if (!$showNames) { ?> skybluesofa-social-connect-connections-hideNames<?php   } ?>">
			<?php  
			$networksShown = array();
			foreach ($connections as $connection) {
				foreach ($networks as $network) {
					if (($network['handle'] == $connection['network']) && $network['show_existing']) {
						if (!in_array($network['handle'], $networksShown)) {
							$networksShown[] = $network['handle'];
							?>
							<li title="<?php   echo $connection['tooltip']; ?>">
								<?php  
								if ($connection['network'] == 'email') {
									if ((stripos($connection['url'], 'mailto:') !== 0) && (stripos($connection['url'], 'http') !== 0)) {
										$connection['url'] = 'mailto:' . $connection['url'];
									}
								} elseif ((stripos($connection['url'], 'http') !== 0) && (stripos($connection['url'], '//') !== 0)) {
									$connection['url'] = 'http://'.$connection['url'];
								}
								$size = $sih->getSize($connection['network'], $iconSize);
								?>
								<a href="<?php   echo $connection['url']; ?>" <?php   echo $openNewWindow ? 'target="_blank"' : ''; ?> class="skybluesofa-social-connection-icon no_icon" style="background-image:url(<?php   echo $sih->getUrl($connection['network'], $iconSize); ?>);width:<?php   echo $size['width']; ?>px;height:<?php   echo $size['height']; ?>px;"><span><?php   echo $connection['tooltip']; ?></span></a>
								<a href="<?php   echo $connection['url']; ?>" <?php   echo $openNewWindow ? 'target="_blank"' : ''; ?> class="skybluesofa-social-connection-networkname no_icon" style="line-height:<?php   echo $size['height'] ?>px;"><?php   echo $network['name']; ?></a>
							</li>
							<?php  
						}
					}
				}
			}
			?>
		</ul>
	</div>
	<div style="clear:both;"></div>

	<?php  
}
