$(function () {
    $('#promote_on_twitter').bind('click', function () {
        var $input = $(this).find('INPUT');
        if ($input.is(':checked')) {
            $('#promote_on_twitter_div').slideDown();
        } else {
            $('#promote_on_twitter_div').slideUp();
        }
    });
    $('#promote_on_facebook').bind('click', function () {
        var $input = $(this).find('INPUT');
        if ($input.is(':checked')) {
            $('#promote_on_facebook_div').slideDown();
        } else {
            $('#promote_on_facebook_div').slideUp();
        }
    });
    $('#promote_on_linkedin').bind('click', function () {
        var $input = $(this).find('INPUT');
        if ($input.is(':checked')) {
            $('#promote_on_linkedin_div').slideDown();
        } else {
            $('#promote_on_linkedin_div').slideUp();
        }
    });
    $('.ccm-dialog-close').click(function () {
        location.reload();
    });
});

function getFormData() {
    var formdata = {};
    $('#skybluesofa_promote_page :input').each(function () {
        $this = $(this);
        if ($this.attr('type') == 'checkbox') {
            if ($this.is(":checked")) {
                formdata[$this.attr('name')] = $this.val();
            }
        } else {
            formdata[$this.attr('name')] = $this.val();
        }
    });
    return formdata;
}
function updateDisplayInfo() {
    var formdata = getFormData();
    formdata['get_info'] = 1;
    $.ajax({
        type: "POST",
        data: formdata,
        dataType: 'json',
        url: $('#skybluesofa_promote_page').attr('action'),
        success: function (data) {
            if (data.error) {
                alert(data.error);
            } else {
                jQuery.fn.dialog.closeTop();
            }
        },
        error: function () {
            alert('There was an error. Please try again later.');
        }
    });
    return false;

}
function sendToSocialMedia() {
    var formdata = getFormData();
    formdata['publish'] = 1;
    $.ajax({
        type: "POST",
        data: formdata,
        dataType: 'json',
        url: $('#skybluesofa_promote_page').attr('action'),
        success: function (data) {
            if (data.error) {
                alert(data.error);
            } else {
                var preContent = "This page has been posted on ";
                var preError = "There was an error posting to ";
                var confirmationContent = '';
                var errorContent = '';
                var postContent = ".";
                var promotedOnTwitter = false;
                var promotedOnFacebook = false;
                var promotedOnLinkedIn = false;
                if (typeof (data.twitter) != 'undefined') {
                    promotedOnTwitter = (data.twitter == true) ? true : 'error';
                }
                if (typeof (data.facebook) != 'undefined') {
                    promotedOnFacebook = (data.facebook == true) ? true : 'error';
                }
                if (typeof (data.linkedin) != 'undefined') {
                    promotedOnLinkedIn = (data.linkedin == true) ? true : 'error';
                }
                if (promotedOnTwitter == true && promotedOnFacebook == true && promotedOnLinkedIn == true) {
                    confirmationContent = 'Twitter, Facebook and LinkedIn';
                } else if (promotedOnTwitter == true && promotedOnFacebook == true) {
                    confirmationContent = 'Twitter and Facebook';
                } else if (promotedOnTwitter == true && promotedOnLinkedIn == true) {
                    confirmationContent = 'Twitter and LinkedIn';
                } else if (promotedOnFacebook == true && promotedOnLinkedIn == true) {
                    confirmationContent = 'Facebook and LinkedIn';
                } else if (promotedOnTwitter == true) {
                    confirmationContent = 'Twitter';
                } else if (promotedOnFacebook == true) {
                    confirmationContent = 'Facebook';
                } else if (promotedOnLinkedIn == true) {
                    confirmationContent = 'LinkedIn';
                }
                if (promotedOnTwitter == 'error' && promotedOnFacebook == 'error' && promotedOnLinkedIn == 'error') {
                    errorContent = 'Twitter, Facebook and LinkedIn';
                } else if (promotedOnTwitter == 'error' && promotedOnFacebook == 'error') {
                    confirmationContent = 'Twitter and Facebook';
                } else if (promotedOnTwitter == 'error' && promotedOnLinkedIn == 'error') {
                    confirmationContent = 'Twitter and LinkedIn';
                } else if (promotedOnFacebook == 'error' && promotedOnLinkedIn == 'error') {
                    confirmationContent = 'Facebook and LinkedIn';
                } else if (promotedOnTwitter == 'error') {
                    errorContent = 'Twitter';
                } else if (promotedOnFacebook == 'error') {
                    errorContent = 'Facebook';
                } else if (promotedOnLinkedIn == 'error') {
                    confirmationContent = 'LinkedIn';
                }
                if (confirmationContent) {
                    alert(preContent + confirmationContent + postContent);
                }
                if (errorContent) {
                    alert(preError + errorContent + postContent);
                }

                jQuery.fn.dialog.closeTop();
            }
        },
        error: function () {
            alert('There was an error. Please try again later.');
        }
    });
    return false;
}
