<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */
?> 
<?php  

Loader::model('social_post/network', 'skybluesofa_social_share');

class SiteNetworkSocialPost
		extends NetworkSocialPost
{

	public function saveSetting($handle = false, $value = false)
	{
		$db = Loader::db();
		$sql = "UPDATE btSkybluesofaSocialPostSettings SET VALUE=? WHERE group_name=? AND handle=?";
		$values = array($value, $this->settingsGroupName, $handle);
		$db->execute($sql, $values);
		$this->settings[$handle] = $value;
	}

	protected function getSettingsFromDB()
	{
		$db = Loader::db();
		$sql = "SELECT * FROM btSkybluesofaSocialPostSettings WHERE group_name='" . $this->settingsGroupName . "' ORDER BY handle";
		@$rs = $db->Execute($sql);
		if (is_object($rs)) {
			while ($row = $rs->FetchRow()) {
				$this->settings[$row['handle']] = array('title' => $row['title'], 'value' => $row['value']);
			}
		}
		$this->getSettings();
	}

}

?>