<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

Loader::model('social_post/network/twitter', 'skybluesofa_social_share');

class UserTwitterSocialPost
		extends TwitterSocialPost
{

	protected $callbackURL = '/index.php/profile/page_promotion/tw/';

	function __construct($user)
	{
		$this->user = $user;
		parent::__construct();
	}

	public function saveSetting($handle = false, $value = false)
	{
		$db = Loader::db();
		$db->Replace('aoSkybluesofaUserSocialPostSettings', array('uID' => $this->user->uID, 'group_name' => $this->settingsGroupName, 'handle' => $handle, 'value' => $value), array('uID', 'group_name', 'handle'), true);
		$this->settings[$handle] = array('value' => $value);
	}

	protected function getSettingsFromDB()
	{
		$this->user = new User();
		$db = Loader::db();
		$sql = "SELECT * FROM aoSkybluesofaUserSocialPostSettings WHERE uID=? AND group_name=? ORDER BY handle";
		$values = array($this->user->uID, $this->settingsGroupName);
		$rows = $db->GetArray($sql, $values);
		foreach ($rows as $row) {
			$this->settings[$row['handle']] = array('value' => $row['value']);
		}
		$this->getSettings();
	}

}

?>