<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

class UserSocialPost
{

	function __construct($user = false)
	{
		$user = new User();
		Loader::model('user/network/twitter', 'skybluesofa_social_share');
		$this->twitter = new UserTwitterSocialPost($user);

		Loader::model('user/network/facebook', 'skybluesofa_social_share');
		$this->facebook = new UserFacebookSocialPost($user);

		Loader::model('user/network/linkedin', 'skybluesofa_social_share');
		$this->linkedin = new UserLinkedInSocialPost($user);
	}

}

?>