<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$uh = Loader::helper('concrete/urls');
$h = Loader::helper('concrete/interface');
$vt = Loader::helper('validation/token');
$db = Loader::db();
$form = Loader::helper('form');
$fh = Loader::helper('file');
$sih = Loader::helper('social_icon', 'skybluesofa_social_share');

$cdh = Loader::helper('concrete/dashboard');
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo Loader::helper('concrete/dashboard')->getDashboardPaneHeaderWrapper(t('Social Share Settings'), t('Update the settings used in the Social Share block.'), false, false);
} else {
	echo '<div style="width: 800px;">';
	echo '<h1><span>' . t('Social Share Settings') . '</span></h1>';
	echo '<div class="ccm-dashboard-inner">';
}
?>
<?php   ?>
<form method="post" id="skybluesofa_social_share_settings_form" action="<?php   echo $this->url('/dashboard/blocks/social_share', 'update') ?>" style="margin:0;">
	<div class="ccm-pane-body">	
		<table cellspacing="0" cellpadding="0" style="width:100%;" class="zebra-striped ccm-results-list table">
			<thead>
				<tr>
					<th><?php   echo t('Setting'); ?></th>
					<th><?php   echo t('Value'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php   foreach ($settings as $key => $setting) { ?>
					<tr id="skybluesofa_social_share_row_<?php   echo $setting['handle']; ?>">
						<td><?php   echo $setting['name']; ?></td>
						<td><input type="text" name="setting[<?php   echo $setting['handle']; ?>]" value="<?php   echo $setting['value']; ?>">
					</tr>
				<?php   } ?>
			</tbody>
		</table>
	</div>
	<div class="ccm-pane-footer">
		<?php   echo $vt->output('update_share_settings'); ?>
		<input type="submit" class="btn ccm-button-v2 primary ccm-button-v2-right" value="Save" id="add-skybluesofa_social_networks_form" name="add-skybluesofa_social_networks_form">
	</div>
</form>
<?php  
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo Loader::helper('concrete/dashboard')->getDashboardPaneFooterWrapper();
} else {
	echo '</div></div>';
}
?>

