<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
/*
 * Socializer for c5
 *
 * @package Block Quoter
 * @author Dave Rogers <connect@skybluesofa.com>
 * @version 5.6.0.0.5.3
 * @copyright Copyright (c) 2014, Dave Rogers
 * @license http://www.concrete5.org/help/legal/commercial_add-on_license/ c5 Commercial Add-On License
 */

$uh = Loader::helper('concrete/urls');
$h = Loader::helper('concrete/interface');
$vt = Loader::helper('validation/token');
?>
<div id="ccm-profile-wrapper">
	<?php   Loader::element('profile/sidebar', array('profile' => $ui)); ?>    
	<div id="ccm-profile-body">	

		<h2><?php   echo t('Author Page Promotion') ?></h2>
		<p><?php   echo t('Send posts to social media when you create a new page via Composer.') ?></p>
		<?php  
		if (
				($siteSocialPost->twitter->settings['allow_author_send_post']['value']
				&& $siteSocialPost->twitter->settings['use']['value'])
				|| ($siteSocialPost->facebook->settings['allow_author_send_post']['value']
				&& $siteSocialPost->facebook->settings['use']['value'])
				|| ($siteSocialPost->linkedin->settings['allow_author_send_post']['value']
				&& $siteSocialPost->linkedin->settings['use']['value'])
		) {
			?>
			<input type="button" onclick="$('#skybluesofa_page_promotion_form').trigger('submit');" class="btn ccm-button-v2 primary ccm-button-v2-right" value="Update My Settings" id="add-skybluesofa_social_promotion_form_submit" name="add-skybluesofa_social_promotion_submit">
			<div id="tabs_container">
				<ul id="tabs">
					<?php   if ($siteSocialPost->twitter->settings['use']['value'] && $siteSocialPost->twitter->settings['allow_author_send_post']['value']) { ?>
						<li class="active"><a href="#twitter_tab"><i class="fa fa-twitter-square"></i> Twitter</a></li>
					<?php   } ?>
					<?php   if ($siteSocialPost->facebook->settings['use']['value'] && $siteSocialPost->facebook->settings['allow_author_send_post']['value']) { ?>
						<li><a href="#facebook_tab"><i class="fa fa-facebook-square"></i> Facebook</a></li>
					<?php   } ?>
					<?php   if ($siteSocialPost->linkedin->settings['use']['value'] && $siteSocialPost->linkedin->settings['allow_author_send_post']['value']) { ?>
						<li><a href="#linkedin_tab"><i class="fa fa-linkedin-square"></i> LinkedIn</a></li>
					<?php   } ?>
				</ul>
			</div>
			<?php   $elementVars = array('socialPost' => $socialPost, 'composerPageTypes' => $composerPageTypes) ?>
			<form method="post" id="skybluesofa_page_promotion_form" action="	<?php   echo $this->url('/profile/page_promotion', 'save') ?>">
				<?php   echo $vt->output('social_networks'); ?>
				<input name="section" value="social_networks" type="hidden">
				<div id="tabs_content_container">
					<?php   if ($siteSocialPost->twitter->settings['use']['value'] && $siteSocialPost->twitter->settings['allow_author_send_post']['value']) { ?>
						<div id="twitter_tab" class="tab_content" style="display: block;">
							<?php   Loader::packageElement('post_settings/user/twitter', 'skybluesofa_social_share', $elementVars); ?>
						</div>
					<?php   } ?>
					<?php   if ($siteSocialPost->facebook->settings['use']['value'] && $siteSocialPost->facebook->settings['allow_author_send_post']['value']) { ?>
						<div id="facebook_tab" class="tab_content">
							<?php   Loader::packageElement('post_settings/user/facebook', 'skybluesofa_social_share', $elementVars); ?>
						</div>
					<?php   } ?>
					<?php   if ($siteSocialPost->linkedin->settings['use']['value'] && $siteSocialPost->linkedin->settings['allow_author_send_post']['value']) { ?>
						<div id="linkedin_tab" class="tab_content">
							<?php   Loader::packageElement('post_settings/user/linkedin', 'skybluesofa_social_share', $elementVars); ?>
						</div>
					<?php   } ?>
				</div>
			</form>
		<?php   } else { ?>
			<p><?php   echo t('This functionality has not been setup on your site'); ?></p>
		<?php   } ?>
	</div>
	<div class="ccm-spacer"></div>
</div>